Name:           indicator-lunar
Version:        1.0.76
Release:        %mkrel 1
Summary:        Application indicator for astronomy
Group:		Sciences/Astronomy
License:        GPLv3+
URL:            https://launchpad.net/~thebernmeister
Source0:        https://launchpad.net/~thebernmeister/+archive/ubuntu/ppa/+files/%{name}_%{version}.tar.xz
Source1:	%name.png
Patch0:		%name-menufile.patch
BuildRequires:  libpython3-devel
Requires:	libappindicator3_1
Requires:  	python3
Requires:  	python3-ephem
Requires:  	python3-gobject3
Requires:  	python3-notify2
BuildArch:	noarch

%description
Allows a user to show astronomical information for all planets and their moons,
the sun and stars, comets and satellites.

%prep
%setup -q
%patch0 -p1

%build
# nothing

%install
rm -rf %{buildroot}

install -Dpm 0644 %SOURCE1 %{buildroot}%{_datadir}/pixmaps/%name.png
install -Dpm 0644 indicator-lunar.py.desktop %{buildroot}%{_datadir}/applications/%name.desktop

install -Dpm 0644 src/changelog %{buildroot}%{_datadir}/indicator-lunar/changelog
install -Dpm 0755 src/indicator-lunar.py %{buildroot}%{_datadir}/indicator-lunar/%name.py
install -Dpm 0755 src/eclipse.py %{buildroot}%{_datadir}/indicator-lunar/eclipse.py
install -Dpm 0755 src/satellite.py %{buildroot}%{_datadir}/indicator-lunar/satellite.py
install -Dpm 0755 src/pythonutils.py %{buildroot}%{_datadir}/indicator-lunar/pythonutils.py

install -Dpm 0644 icons/hicolor/indicator-lunar.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%name.svg
install -Dpm 0644 icons/hicolor/indicator-lunar.svg %{buildroot}%{_datadir}/icons/hicolor/apps/16/%name.svg
install -Dpm 0644 icons/hicolor/indicator-lunar.svg %{buildroot}%{_datadir}/icons/hicolor/apps/22/%name.svg
install -Dpm 0644 icons/hicolor/indicator-lunar.svg %{buildroot}%{_datadir}/icons/hicolor/apps/24/%name.svg
install -Dpm 0644 icons/hicolor/indicator-lunar.svg %{buildroot}%{_datadir}/icons/hicolor/apps/48/%name.svg

install -Dpm 0644 icons/hicolor/indicator-lunar-satellite.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}-satellite.svg
install -Dpm 0644 icons/hicolor/indicator-lunar-satellite.svg %{buildroot}%{_datadir}/icons/hicolor/apps/16/%{name}-satellite.svg
install -Dpm 0644 icons/hicolor/indicator-lunar-satellite.svg %{buildroot}%{_datadir}/icons/hicolor/apps/22/%{name}-satellite.svg
install -Dpm 0644 icons/hicolor/indicator-lunar-satellite.svg %{buildroot}%{_datadir}/icons/hicolor/apps/24/%{name}-satellite.svg
install -Dpm 0644 icons/hicolor/indicator-lunar-satellite.svg %{buildroot}%{_datadir}/icons/hicolor/apps/48/%{name}-satellite.svg

install -Dpm 0644 icons/Adwaita/indicator-lunar.svg %{buildroot}%{_datadir}/icons/Adwaita/scalable/apps/%name.svg
install -Dpm 0644 icons/Adwaita/indicator-lunar.svg %{buildroot}%{_datadir}/icons/Adwaita/apps/16/%name.svg
install -Dpm 0644 icons/Adwaita/indicator-lunar.svg %{buildroot}%{_datadir}/icons/Adwaita/apps/22/%name.svg
install -Dpm 0644 icons/Adwaita/indicator-lunar.svg %{buildroot}%{_datadir}/icons/Adwaita/apps/24/%name.svg
install -Dpm 0644 icons/Adwaita/indicator-lunar.svg %{buildroot}%{_datadir}/icons/Adwaita/apps/48/%name.svg

install -Dpm 0644 icons/Adwaita/indicator-lunar-satellite.svg %{buildroot}%{_datadir}/icons/Adwaita/scalable/apps/%{name}-satellite.svg
install -Dpm 0644 icons/Adwaita/indicator-lunar-satellite.svg %{buildroot}%{_datadir}/icons/Adwaita/apps/16/%{name}-satellite.svg
install -Dpm 0644 icons/Adwaita/indicator-lunar-satellite.svg %{buildroot}%{_datadir}/icons/Adwaita/apps/22/%{name}-satellite.svg
install -Dpm 0644 icons/Adwaita/indicator-lunar-satellite.svg %{buildroot}%{_datadir}/icons/Adwaita/apps/24/%{name}-satellite.svg
install -Dpm 0644 icons/Adwaita/indicator-lunar-satellite.svg %{buildroot}%{_datadir}/icons/Adwaita/apps/48/%{name}-satellite.svg

install -Dpm 0644 po/ru/indicator-lunar.mo /%{buildroot}%{_datadir}/locale/ru/LC_MESSAGES/%name.mo

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%files
%{_datadir}/applications/%name.desktop
%{_datadir}/%name/*
%{_iconsdir}/*/*/*/%{name}*.*
%{_datadir}/pixmaps/%name.png
%{_datadir}/locale/*/LC_MESSAGES/%name.mo


%changelog
* Thu Dec 25 2018 adrianomorselli <adrianomorselli> 1.0.76-1uplos2019
- imported for uplos
